Extending Qt Creator Manual | CompletionAssistProvider

Extending Qt Creator Manual 4.5.2

# CompletionAssistProvider Class

(TextEditor::CompletionAssistProvider)

Inherits: | TextEditor::IAssistProvider

- List of all members, including inherited members

## Public Functions

| CompletionAssistProvider(QObject *parent = 0)
| ~CompletionAssistProvider()
virtual int | activationCharSequenceLength() const
virtual bool | isActivationCharSequence(const QString &sequence) const
virtual bool | isContinuationChar(const QChar &c) const

## Reimplemented Public Functions

virtual IAssistProvider::RunType | runType() const override

- 2 public functions inherited from TextEditor::IAssistProvider

## Member Function Documentation

### CompletionAssistProvider::CompletionAssistProvider(QObject *parent = 0)

Default constructs an instance of CompletionAssistProvider.

### CompletionAssistProvider::~CompletionAssistProvider()

Destroys the instance of CompletionAssistProvider.

### `[virtual]` int CompletionAssistProvider::activationCharSequenceLength() const

### `[virtual]` bool CompletionAssistProvider::isActivationCharSequence(const QString &sequence) const

### `[virtual]` bool CompletionAssistProvider::isContinuationChar(const QChar &c) const

### `[override virtual]` IAssistProvider::RunType CompletionAssistProvider::runType() const